<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Controle de Visitas</ion-title>
  </ion-navbar>
  <div>
      <ion-segment [(ngModel)]="abas">
        <ion-segment-button value="prestadores">
          Prestadores
        </ion-segment-button>
        <ion-segment-button value="visitantes">
          Vistantes
        </ion-segment-button>
        <ion-segment-button value="historico">
            Histórico
        </ion-segment-button>
      </ion-segment>
    </div>
</ion-header>

<ion-content>
  <div [ngSwitch]="abas">
    <div *ngSwitchCase="'prestadores'">
      <div>
        <ion-list *ngFor="let item of prestadores">
          <ion-item>
            <ion-thumbnail item-start [ngStyle]="{'background-color': item.cor}">
              <div class="tempo">{{item.tempo}}</div>
            </ion-thumbnail>
            <ion-avatar item-start class="p8">
              <img src="{{item.img}}">
            </ion-avatar>
            <div class="p16">
              <p class="descricao">{{item.descricao}}</p>
              <p>{{item.local}}</p>
              <p>{{item.guarita}}</p>
            </div>
            <div class="p16" item-end>
              <p class="break-line" text-right>{{item.qtdPessoas}}</p>
              <p class="break-line" text-right>{{item.hora}}</p>
            </div>
          </ion-item>
        </ion-list>
        <ion-fab bottom right>
            <button ion-fab (click)="novoVisitante()">
              <ion-icon name="add"></ion-icon>
            </button>
        </ion-fab>
      </div>
    </div>

    <div *ngSwitchCase="'visitantes'">
      <div>
        <ion-list *ngFor="let item of prestadores">
          <ion-item>
            <ion-thumbnail item-start [ngStyle]="{'background-color': item.cor}">
              <div class="tempo">{{item.tempo}}</div>
            </ion-thumbnail>
            <ion-avatar item-start class="p8">
              <img src="{{item.img}}">
            </ion-avatar>
            <div class="p16">
              <p class="descricao">{{item.descricao}}</p>
              <p>{{item.local}}</p>
              <p>{{item.guarita}}</p>
            </div>
            <div class="p16" item-end>
              <p class="break-line" text-right>{{item.qtdPessoas}}</p>
              <p class="break-line" text-right>{{item.hora}}</p>
            </div>
          </ion-item>
        </ion-list>
      </div>
    </div>

    <ion-list *ngSwitchCase="'historico'">
        <ion-item>
          <p text-center>Sem Registros</p>
        </ion-item>
      </ion-list>
  </div>
</ion-content>